Skip to content

Get Offer List

Request

Security
BearerAuth
POST
/v3/offers/list
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/offers/list \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataArray of objects
current_pageinteger
Example:1
first_page_urlstring
Example:"https://{url}/v3/offers/list?page=2"
last_page_urlstring
Example:"https://{url}/v3/offers/list?page=15"
next_page_urlstring
Example:"https://{url}/v3/offers/list?page=3"
prev_page_urlstring
Example:"https://{url}/v3/offers/list?page=1"
frominteger
Example:4
last_pageinteger
Example:15
pathstring
Example:"https://{url}/v3/offers/list"
per_pageinteger
Example:3
tointeger
Example:6
totalinteger
Example:45
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": [ { … } ], "current_page": 1, "first_page_url": "https://{url}/v3/offers/list?page=2", "last_page_url": "https://{url}/v3/offers/list?page=15", "next_page_url": "https://{url}/v3/offers/list?page=3", "prev_page_url": "https://{url}/v3/offers/list?page=1", "from": 4, "last_page": 15, "path": "https://{url}/v3/offers/list", "per_page": 3, "to": 6, "total": 45 }